%define name    mod_video
%define version 0.1.0
%define release 1mdk

Summary: Framebuffer streaming device for the Apache webserver
Name: %name
Version: %version
Release: %release
Source0: %name-%version.tar.bz2
Source1: %name.conf
URL: http://borud.priv.no/mod_video/
Copyright: GPL
Group: System/Servers
BuildRoot: %_tmppath/%name-buildroot
Prefix: %_prefix

%description
mod_video is an Apache module for grabbing images directly from a 
frame-grabber card. It was written to make it easier to set up a webcam. It
utilizes the Video4Linux API and has only been tested with BT848-based cards.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%version

%build
gcc -fpic -I/usr/include/apache -O2 -DSHARED_MODULE -DEAPI -Wall -shared \
  -o %{name}.so %{name}.c

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache/
install -s -m 755 %{name}.so \
  $RPM_BUILD_ROOT/usr/lib/apache/
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/
install    -m 644  %{SOURCE1}      \
  $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# after install, actually load the module
echo "Include conf/addon-modules/%{name}.conf" >> \
  /etc/httpd/conf/httpd.conf
/usr/sbin/apachectl restart

%preun
# before unstall, unload the module
perl -pi -e 's|^Include conf/addon-modules/%{name}.conf||g' \
  /etc/httpd/conf/httpd.conf
/usr/sbin/apachectl restart

%files
%defattr(-,root,root)
%doc COPYING doc/
%_libdir/apache/%{name}.so
%config %_sysconfdir/httpd/conf/addon-modules/%{name}.conf

%changelog
* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- new in contribs
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Mon Sep 11 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.1.0 (initial packaging)
